# Created by pyp2rpm-1.0.1
%global pypi_name costools
%define version 1.1

Name:           python-costools
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Tools for COS (Cosmic Origins Spectrograph)

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-stsci-sphinxext

Obsoletes: python-stsci <= 2.13-4

%description
False


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html 
%{_bindir}/timefilter
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 543045
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-2.mga4
+ Revision: 498304
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 1.1-1.mga4
+ Revision: 477700
- fix sphinxext dependences
- imported package python-costools

